const expect = require('expect.js');
const path = require('path');
var config = require('../services/config.js')('_raw');

// Detect root path
global.mio.appPath = path.resolve('test/mocks');

describe('Config Service', function(){
  var configFile = config.init();

  it('Should Load Server Configs', function(){
    expect(configFile.get()).to.be.ok();
  });
  it('Should Override By Env Configs', function(){
    expect(configFile.get().title).to.equal('override value');
  });
  it('Should Keep not Overrided Values', function(){
    expect(configFile.get().domains).to.be.an('array');
    expect(configFile.get().domains).to.contain('makeitonce.net');
  });

  it('Should Try to Load Invalid File Module', function(){
    config.load('test');
    expect(configFile.get('test')).to.be.ok();
    expect(configFile.get('test')).to.be.empty();
    expect(configFile.get('test')).to.be.an('object');
  });

  it('Should Load Module Config', function(){
    expect(configFile.get('sample')).to.be.ok();
    expect(config.get('sample')).not.to.be.empty();
    expect(configFile.get('sample')).to.be.an('object');
    expect(configFile.get('sample').test).to.equal('SAMPLE VALUE');
  });
});
